package cn.yw.machinestatusmanage.action;


import java.io.File;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import cn.base.aspect.OperateType;
import cn.base.bean.BaseAction;
import cn.base.excel.ExcelCol;
import cn.base.excel.ExportEngine;
import cn.base.util.CommUtils;
import cn.base.util.Constants;
import cn.base.util.LogConstants;
import cn.base.util.StringUtil;
import cn.base.util.Struts2Utils;
import cn.yw.machinestatusmanage.service.YwmachinestatusinfoService;

@SuppressWarnings({"all"})
@Component("ywmachinestatusinfoAction")
public class YwmachinestatusinfoAction extends BaseAction{
	private static final long serialVersionUID = 1L;
	private static Logger iLog = Logger.getLogger(YwmachinestatusinfoAction.class);
	
	@Autowired
	private YwmachinestatusinfoService service;
	
	/**
	 * 分页
	 */
	@OperateType(value = LogConstants.LOG_QUERY ,info ="listYwmachinestatusinfoByPage")
	public void listYwmachinestatusinfoByPage(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			int page = Integer.parseInt(Struts2Utils.getParameter("page"));
			int rows = Integer.parseInt(Struts2Utils.getParameter("rows"));
			int start = ( (page == 0 ?  1 : page ) - 1) * rows ;
			map.put("start",start );
			map.put("limit",rows );
			Struts2Utils.renderJson(this.service.listYwmachinestatusinfoByPage(map));
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("YwmachinestatusinfoAction-listYwmachinestatusinfoByPage-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}

	/**
	 * 查询详情
	 */
	@OperateType(value = LogConstants.LOG_QUERY ,info ="getYwmachinestatusinfoDetail")
	public void getYwmachinestatusinfoDetail(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			Struts2Utils.renderJson(this.service.getYwmachinestatusinfoDetail(map));
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("YwmachinestatusinfoAction-getYwmachinestatusinfoDetail-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}

	/**
	 * 查询总数
	 */
	
	@OperateType(value = LogConstants.LOG_QUERY ,info ="count_Ywmachinestatusinfo")
	public void count_Ywmachinestatusinfo(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			Struts2Utils.renderJson(this.service.count_Ywmachinestatusinfo(map));
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("YwmachinestatusinfoAction-count_Ywmachinestatusinfo-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	
	
	/**
	 * 查询 Ywmachinestatusinfo
	 */
	
	@OperateType(value = LogConstants.LOG_GET ,info ="query_Ywmachinestatusinfo")
	public void query_Ywmachinestatusinfo(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			Struts2Utils.renderJson(this.service.query_Ywmachinestatusinfo(map));
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("YwmachinestatusinfoAction-query_Ywmachinestatusinfo-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	
	
	/**
	 * 查询 一条Ywmachinestatusinfo
	 */
	
	@OperateType(value = LogConstants.LOG_GET ,info ="get_Ywmachinestatusinfo")
	public void get_Ywmachinestatusinfo(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			Struts2Utils.renderJson(this.service.get_Ywmachinestatusinfo(map));
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("YwmachinestatusinfoActionquery_Ywmachinestatusinfo-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	
	
	
	//查询
	@OperateType(value = LogConstants.LOG_QUERY ,info ="get_ywmachinestatusinfo")
	public void get_ywmachinestatusinfo(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			int page = Integer.parseInt(Struts2Utils.getParameter("page"));
			int rows = Integer.parseInt(Struts2Utils.getParameter("rows"));
			int start = ( (page == 0 ?  1 : page ) - 1) * rows ;
			map.put("start",start );
			map.put("limit",rows );
			Struts2Utils.renderJson(this.service.get_ywmachinestatusinfo(map));
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("YwmachinestatusinfoAction-get_ywmachinestatusinfo-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	
	/**
	 * 删除
	 */
	/*
	@OperateType(value = LogConstants.LOG_DELETE ,info ="deleteYwmachinestatusinfo")
	public void delete_Ywmachinestatusinfo(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			if(!CommUtils.isEmpty(map)){
				int result = service.delete_Ywmachinestatusinfo(map);
				Struts2Utils.renderJson(Constants.SUCCESS);
			}else{
				 throw new Exception("请正确的选择删除记录!!!");
			}
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("YwmachinestatusinfoAction-delete_Ywmachinestatusinfo-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	*/

	/**
	 * 插入
	 */
	/*
	@OperateType(value = LogConstants.LOG_ADD ,info ="insert_Ywmachinestatusinfo")
	public void insert_Ywmachinestatusinfo(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			if(StringUtil.checkEmpty(map.get("machinestatusid"))){
				map.put("machinestatusid",StringUtil.getUUID());
			}
			if(!StringUtil.checkEmpty(map.get("checkparam"))){
				Map sMap = new HashMap();
				sMap.put("tableparam", map.get("checkparam"));
				List ls = service.query_Ywmachinestatusinfo(sMap);
				if(!StringUtil.checkEmpty(ls)||ls.size()>0){
					Struts2Utils.renderJson(Constants.SAME);
				}else{
					service.insert_Ywmachinestatusinfo(map);
					Struts2Utils.renderJson(Constants.SUCCESS);
				}
			}else{
				service.insert_Ywmachinestatusinfo(map);
				Struts2Utils.renderJson(Constants.SUCCESS);
			}			
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("YwmachinestatusinfoAction-insert_Ywmachinestatusinfo()-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	*/
	
	/**
	 * 修改
	 */
	/*
	@OperateType(value = LogConstants.LOG_UPDATE ,info ="update_Ywmachinestatusinfo")
	public void update_Ywmachinestatusinfo(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			if(!StringUtil.checkEmpty(map.get("checkparam"))){
				Map sMap = new HashMap();
				sMap.put("tableparam", map.get("checkparam"));
				List ls = service.query_Ywmachinestatusinfo(sMap);
				if(!StringUtil.checkEmpty(ls)||ls.size()>0){
					Struts2Utils.renderJson(Constants.SAME);
				}else{
					int result = service.update_Ywmachinestatusinfo(map);
					Struts2Utils.renderJson(Constants.SUCCESS);
				}
			}else{
				int result = service.update_Ywmachinestatusinfo(map);
				Struts2Utils.renderJson(Constants.SUCCESS);
			}
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("YwmachinestatusinfoAction-update_Ywmachinestatusinfo-error: " +e);
			Struts2Utils.renderJson(null);
		}
	}
	*/
	
	/**
	 * 批量删除
	 */
	/*
	@OperateType(value = LogConstants.LOG_DELETE ,info ="batch_delete_Ywmachinestatusinfo")
	public void batch_delete_Ywmachinestatusinfo(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			Map m = new HashMap();
			m.put("keyword", map.get("keyword").toString());
			int result = service.batch_delete_Ywmachinestatusinfo(m);
			Struts2Utils.renderJson(Constants.SUCCESS);
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("YwmachinestatusinfoAction-batch_delete_Ywmachinestatusinfo-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	*/
	
	/**
	 * 导出Excel
	 */
	/*
	//@OperateType(value = LogConstants.LOG_EXPORT ,info ="exp_Ywmachinestatusinfo")
	public void exp_Ywmachinestatusinfo(){
		try {
			Map map = Struts2Utils.getRequestParameterMap();
			map.put("start",0 );
			map.put("limit",5000);
			List<Map> sList = service.query_Ywmachinestatusinfo(map);		
			List<HashMap> expList = new ArrayList<HashMap>();
			for(Map m : sList){
				Map exportMap = new HashMap();
				exportMap.put("yhzh", m.get("yhzh"));
				expList.add((HashMap) exportMap);
			}
			int excelNum = 2;
			ExcelCol[] cells = new ExcelCol[excelNum];
			String[] zdbm = {"yhzh", "yhmc",};
			String[] zdmc = {"用户账号", "用户名称"};
			for(int i=0;i<excelNum;i++){
				cells[i] = new ExcelCol();
				cells[i].setColKey(zdbm[i]);
				cells[i].setColName(zdmc[i]);
			}		
			SimpleDateFormat formart = new SimpleDateFormat("yyyy-MM-dd");   
        	String dateTime=formart.format(new Date()); 
			Map params = new HashMap();
			params.put("fileName", "运维服务器状态上报信息表-"+dateTime);
			params.put("sheetName", "运维服务器状态上报信息表");
			params.put("header", "运维服务器状态上报信息表");	
			new ExportEngine().exportCommData(params, cells, (ArrayList)map.get("rows"), Struts2Utils.getResponse());
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("YwmachinestatusinfoAction-exoprtExcel-error:" +e);
			
		}
	}
	*/
	
	/**
	 * 导入Excel
	 */
	/*
	//@OperateType(value = LogConstants.LOG_IMPORT ,info ="imp_Ywmachinestatusinfo")
	public String imp_Ywmachinestatusinfo(String excelFile,Object user) {
		String rs = "导入格式有误!";
		int rowNum = 0;
		int dataCount = 0;
		int successNum = 0;
		int repeatNum = 0;
		int failNum = 0;
		try {
		
			ExcelReader readExcel = new ExcelReader();
			readExcel.openFile(excelFile);
			readExcel.setSheetNum(0);
			int count = readExcel.getRowCount();
			iLog.info("总行数count--->" + count);
			rs = " 导入数据成功！总共"+ dataCount +"条数据,重复"+repeatNum+"条数据！失败"+failNum+"条数据!";
			File file = new File(excelFile);
			if(file.exists()){
				file.delete();
			}
		} catch (Exception e) {
			if (rowNum > 3) {
				rs = "资源部分导入(更新)失败！Excel第" + rowNum + "行起未导入(更新)成功！";
			} else {
				rs = "资源导入(更新)失败！";
			}
			iLog.error("YwmachinestatusinfoAction-imp_Ywmachinestatusinfo-error:" +e);
			e.printStackTrace();
		}		
		return rs;
	}
	*/
}
